%define		source_name gmpc-mserver
Summary:	Mserver plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka mserver dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-mserver
Version:	0.20.0
Release:	5
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://downloads.sourceforge.net/musicpd/%{source_name}-%{version}.tar.gz
# Source0-md5:	850de96a29e68df646110894b95cf188
Patch0:		mpd-strndup.patch
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_MSERVER
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.4
BuildRequires:	gmpc-devel >= 0.19.0
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	intltool >= 0.21
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libmpd-devel >= 0.19.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Plugin lets you stream music files to your mpd that are not in
your database.

%prep
%setup -qn %{source_name}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/*.so
%dir %{_datadir}/gmpc/plugins/gmpc-mserver
%{_datadir}/gmpc/plugins/gmpc-mserver/gmpc-mserver.png
%changelog
* Sun Dec 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmpc-plugin-mserver.git;a=log;h=master

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> 85fedbb
- fix strndup redefinision in mpd internal header
- rel 5

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> e56795b
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d3c0659
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 322b5f1
- updated gettext BR

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 3573594
- unified preamble in %changelog

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 9ca01f9
- BR: gettext-devel

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> 0f9985e
- rel 2

* Sun Sep 12 2010 Artur Frysiak <artur@frysiak.net> f4af606
- 0.20.0

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 35ae0b7
- added missing dir
- release 2

* Sat Oct 03 2009 Artur Frysiak <artur@frysiak.net> 7263291
- add unpackaged file to package

* Sat Oct 03 2009 Artur Frysiak <artur@frysiak.net> ce58081
- updated to 0.19.0

* Sun Sep 13 2009 Artur Frysiak <artur@frysiak.net> 8afd555
- start update to 0.18.100

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> 51dc154
- BR typos

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> 7b3c0de
- new

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> ffa179e
- new
- NFY; desc needed

